Subject: Re: [syzbot] KASAN: use-after-free Read in nf_hook_entries_grow

From: syzbot <[email-masked]>
Date: Mon, 17 Jan 2022 08:12:11 -0800

syzbot suspects this issue was fixed by commit:

commit 8dce43919566f06e865f7e8949f5c10d8c2493f5
Author: Antony Antony <[email-masked]>
Date:   Sun Dec 12 10:34:30 2021 +0000

    xfrm: interface with if_id 0 should return error

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=10eb9bb0700000
start commit:   9eaa88c7036e Merge tag 'libata-5.16-rc6' of git://git.kern..
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=10f3f669b8093e95
dashboard link: https://syzkaller.appspot.com/bug?extid=e918523f77e62790d6d9
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=1781a643b00000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=15130199b00000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: xfrm: interface with if_id 0 should return error

For information about bisection process see: https://goo.gl/tpsmEJ#bisection